# Class CramStats

java.lang.Object
htsjdk.samtools.cram.CramStats

public class CramStats extends Object
Dumps per-DataSeries compression statistics from a CRAM file. Useful for comparing compression methods and sizes between different CRAM implementations.

## Constructor Summary

Constructors
Constructor
Description
`CramStats()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
Entry point.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CramStats

public CramStats()

## Method Details

### main

public static void main(String[] args) throws Exception
Entry point. Dumps per-DataSeries compression statistics for each CRAM file argument.

Parameters:
  `args` - one or more paths to CRAM files
Throws:
  `Exception`